// Datei: LCD.H
//
// Ansteuerung der LCD-Anzeige
// im 4 Bit Daten Mode und
//
// Holger Klabunde
// 29.06.2001
// Compiler CC5x

#ifndef LCD_H
#define LCD_H

//Ausgnge fr die Ansteuerung der LCD-Anzeige
//PORTB.4..7 Datenleitungen der LCD-Anzeige
//#define LCD_RS	PORTB.0
//#define LCD_CS	PORTB.3

#define LCD_RS	0x01 //LCD Register Select
#define LCD_CS	0x08 //LCD Chip Select

//#define LCDCS_ON() { lcdport|=LCD_CS; PORTB=lcdport; }
//#define LCDCS_OFF() { lcdport&=~LCD_CS; PORTB=lcdport; }
#define LCDCS_ON() { RA0=1; }
#define LCDCS_OFF() { RA0=0; }
#define LCDRS_ON() { lcdport|=LCD_RS; PORTB=lcdport; }
#define LCDRS_OFF() { lcdport&=~LCD_RS; PORTB=lcdport; }

#define Wait() Delay1ms(5);

//Kommandos fr das LCD-Display
#define CLEAR_DISPLAY 0x01
#define OFF_DISPLAY   0x08
#define CURSOR_OFF    0x0C
#define CURSOR_ON     0x0E
#define CURSOR_BLINK  0x0F
#define SHIFT_LEFT    0x18
#define SHIFT_RIGHT   0x1C


//Tabelle mit den groen deutschen Umlauten
//Htte man auch im EEPROM ablegen knnen
#define CGRAM_LEN	24  //Anzahl zu bertragender Zeichen

const unsigned char chardefs[] = {
//Adresse 0 im Character RAM
// '' 
17, 4, 10, 17, 31, 17, 17, 0,

//Adresse 1 im Character RAM
// '' 
17, 14, 17, 17, 17, 17, 14, 0,

//Adresse 2 im Character RAM
// ''
17, 0, 17, 17, 17, 17, 14, 0,

//Adresse 3 im Character RAM
// '\' 
//0, 16, 8, 4, 2, 1, 0, 0,

//Adresse 4 im Character RAM
// Der Euro 
//7, 8, 30, 8, 30, 8, 7, 0,

//Adresse 5 im Character RAM
//0, 0, 0, 0, 0, 0, 0, 0,
//Adresse 6 im Character RAM
//0, 0, 0, 0, 0, 0, 0, 0,
//Adresse 7 im Character RAM
//0, 0, 0, 0, 0, 0, 0, 0,
0
};

#endif //LCD_H
